Skip to main content
GET
/
cards
/
{cardPublicId}
/
activities
Get paginated card activities
curl --request GET \
  --url https://kan.bn/api/v1/cards/{cardPublicId}/activities \
  --header 'Authorization: Bearer <token>'
{
  "activities": [
    {
      "publicId": "<string>",
      "type": "<string>",
      "createdAt": "<string>",
      "fromIndex": 123,
      "toIndex": 123,
      "fromTitle": "<string>",
      "toTitle": "<string>",
      "fromDescription": "<string>",
      "toDescription": "<string>",
      "fromDueDate": "<string>",
      "toDueDate": "<string>",
      "fromList": {
        "publicId": "<string>",
        "name": "<string>",
        "index": 123
      },
      "toList": {
        "publicId": "<string>",
        "name": "<string>",
        "index": 123
      },
      "label": {
        "publicId": "<string>",
        "name": "<string>"
      },
      "member": {
        "publicId": "<string>",
        "user": {
          "id": "<string>",
          "name": "<string>",
          "email": "<string>",
          "image": "<string>"
        }
      },
      "user": {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>",
        "image": "<string>"
      },
      "comment": {
        "publicId": "<string>",
        "comment": "<string>",
        "createdBy": "<string>",
        "updatedAt": "<string>",
        "deletedAt": "<string>"
      },
      "attachment": {
        "publicId": "<string>",
        "filename": "<string>",
        "originalFilename": "<string>"
      }
    }
  ],
  "hasMore": true,
  "nextCursor": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardPublicId
string
required
Minimum string length: 12

Query Parameters

limit
number
default:10
Required range: 1 <= x <= 100
cursor
string<date-time>

Response

Successful response

activities
object[]
required
hasMore
boolean
required
nextCursor
string<date-time> | null
required